{-# LANGUAGE OverloadedStrings #-}

module Main where

import Network.HTTP.Client (newManager)
import Network.HTTP.Client.TLS (tlsManagerSettings)
import Servant.Client

import HAL.Client

main :: IO ()
main = do
  manager' <- newManager tlsManagerSettings
  res <- runClientM
    (search ["docid"] ["docType_s:(THESE OR HDR)"] (asc "docid") (Just 1) (Just 2))
    (mkClientEnv manager' $ BaseUrl Https "api.archives-ouvertes.fr" 443 "")
  case res of
    (Left err) -> print err
    (Right val) -> print val
